# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178056140078668/anaconda-anon-usage-feedstock/recipe, last modified Thu Jun  4 08:23:51 2026
# ------------------------------------------------

package:
  name: anaconda-anon-usage
  version: 0.8.1
source:
  url: https://github.com/anaconda/anaconda-anon-usage/archive/refs/tags/0.8.1.tar.gz
  sha256: 822eb9591fbe588e0a42dc55fc685ebc202b6b24ef74597519b8a9518935ac67
build:
  noarch: python
  entry_points:
    - anaconda-anon-usage = anaconda_anon_usage.main:main
  number: '100'
  script_env:
    - NEED_SCRIPTS=no
  string: pyhb46e38b_100
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - ca-certificates 2026.5.14 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pip 24.2 py38h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.8.20 he870216_0
    - readline 8.3 hc2a1206_0
    - setuptools 75.1.0 py38h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - wheel 0.44.0 py38h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
  run:
    - python >=3.8
  run_constrained:
    - conda >=23.7
test:
  requires:
    - conda >=23.7
    - pip
    - python 3.8.*
  imports:
    - anaconda_anon_usage
    - anaconda_anon_usage.main
    - anaconda_anon_usage.patch
    - anaconda_anon_usage.tokens
  commands:
    - pip check
    - anaconda-anon-usage --version
    - anaconda-anon-usage --help
    - conda info --json
about:
  home: https://github.com/anaconda/anaconda-anon-usage
  summary: basic anonymous telemetry for conda clients
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  dev_url: https://github.com/anaconda/anaconda-anon-usage/
  doc_url: https://github.com/anaconda/anaconda-anon-usage/
  description: 'This package augments the request header data that conda delivers

    to package servers during index and package requests. Specifically,

    three randomly generated tokens are appended to the "user agent"

    that Conda already sends with each request.

    '
extra:
  skip-lints:
    - avoid_noarch
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/anaconda-anon-usage-feedstock
  sha: 04e1cb928deb4e14c3196f92447e40a97cf82e5f
  task_id: QJjC2YLkSTaAFqQaMiKtFQ
  task_run_id: '0'
  pbp_graph_uuid: 4e3e5ad0-cc4c-403a-9747-9955582b2bf8
